Subject: [alpine-aports] [PATCH] testing/dockerize: new aport

From: Christian Kampka <[email-masked]>
Date: Sun, 12 Jul 2015 17:48:13 +0000

https://github.com/jwilder/dockerize
Utility to simplify running applications in docker containers.
---
 testing/dockerize/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/dockerize/APKBUILD

diff --git a/testing/dockerize/APKBUILD b/testing/dockerize/APKBUILD
new file mode 100644
index 0000000..c59ccc8
--- /dev/null
+++ b/testing/dockerize/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Chritsian Kampka <christian at kampka dot net>
+pkgname=dockerize
+pkgver=0.0.2
+pkgrel=1
+pkgdesc="Utility to simplify running applications in docker containers."
+url="https://github.com/jwilder/dockerize"
+arch="x86_64"
+license="MIT"
+makedepends="git go"
+source="$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ export GOPATH="$_builddir"
+
+ go get github.com/robfig/glock
+ "${GOPATH}/bin/glock" sync ../
+ make dist
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 dist/linux/amd64/dockerize \
+ "$pkgdir"/usr/bin/dockerize
+}
+md5sums="5aa46972d08af123a85d6ccd888503f3  dockerize-0.0.2.tar.gz"
+sha256sums="3a4b171e5290b69f9be2b420b6a2b1ec5db271819f6cfe3e5a6613a22dc82c12
 dockerize-0.0.2.tar.gz"
+sha512sums="a069f657a8ccefb6a91de98ac65035df3ffc4c0c693b968d38555f560758530e3c273efeab73a386883ff5b767a54489b34e811f11571e829b394f93fc87bd88
 dockerize-0.0.2.tar.gz"
-- 
2.4.5

---

From: Francesco Colista <[email-masked]>
Date: Fri, 17 Jul 2015 13:16:27 +0200

Il 2015-07-12 19:48 Christian Kampka ha scritto:
> https://github.com/jwilder/dockerize [1]
> 

Hi!
Sadly, patch does not apply:

Applying patch #250 using 'git am'
Description: [alpine-aports] testing/dockerize: new aport
Applying: testing/dockerize: new aport
fatal: corrupt patch at line 54
Patch failed at 0001 testing/dockerize: new aport

Would you recreate it using git format-patch?
Thanks.

-- 
:: Francesco Colista
:: Alpine Linux Infrstraucture
:: http://www.alpinelinux.org

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Christian Kampka <[email-masked]>
Date: Sat, 18 Jul 2015 12:09:13 +0000

Hi,

sorry about that.
Rebased the patch again, new version attached.

Cheers,
Christian
From bc31aaafc113464671f3c92bde8cc5c0c9d675fd Mon Sep 17 00:00:00 2001
From: Christian Kampka <[email-masked]>
Date: Sun, 12 Jul 2015 19:30:55 +0200
Subject: [PATCH] testing/dockerize: new aport

index 0000000..aa8f1a1
+pkgrel=0
+	install -Dm755 ${_builddir}/dist/linux/amd64/dockerize \
+sha256sums="3a4b171e5290b69f9be2b420b6a2b1ec5db271819f6cfe3e5a6613a22dc82c12  dockerize-0.0.2.tar.gz"
+sha512sums="a069f657a8ccefb6a91de98ac65035df3ffc4c0c693b968d38555f560758530e3c273efeab73a386883ff5b767a54489b34e811f11571e829b394f93fc87bd88  dockerize-0.0.2.tar.gz"
-- 
2.4.5

---

From: Francesco Colista <[email-masked]>
Date: Tue, 28 Jul 2015 11:29:38 +0200

> Rebased the patch again, new version attached.

Hi Christian.
SOrry for the delay in answer.
Rather than using git :

go get github.com/robfig/glock

can you please provide a snapshot of glock?

Thanks.

---

---

From: Christian Kampka <[email-masked]>
Date: Thu, 06 Aug 2015 22:23:49 +0000

Hi Francesco,

thanks for your feedback.
I have followed your suggestion and while doing so turned glock into a
package by itself.
I therefore created a new patchset for glock and dockerize that you may
find on the list.

Cheers,
Christian

Francesco Colista <[email-masked]> schrieb am Di., 28. Juli 2015

---

From: Francesco Colista <[email-masked]>
Date: Fri, 07 Aug 2015 10:26:46 +0200

> Utility to simplify running applications in docker containers.

Since glock is a dependency and doesn't build, this package doesn't 
build as well.
Please, modify the patch in order to use the builtin snapshot() 
function.
Thanks!

---

---

From: Christian Kampka <[email-masked]>
Date: Fri, 07 Aug 2015 09:33:58 +0000

Please refer to the answer to your suggestions on the glock package
regarding the snapshot as it applies here to.

Francesco Colista <[email-masked]> schrieb am Fr., 7. Aug. 2015